Bug 1131 - can't rename files connecting from OS/2 system
can't rename files connecting from OS/2 system
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.2
All OS/2
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-25 23:30 UTC by Oleg Zhirnov
Modified: 2005-09-29 07:36 UTC (History)
1 user (show)

See Also:


Attachments
Log renaming file from OS/2 (17.91 KB, text/plain)
2005-02-11 03:07 UTC, Alex Masterov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Zhirnov 2004-02-25 23:30:22 UTC
I have a problem connecting to SAMBA V3 server (based on Mandrake                
Linux). Client is OS/2 standart network interface

All looks fine, till I try rename file, results:

>ren temp.txt temp2.txt
SYS0072: The specified printer or disk device has been paused.

In _ALL_ cases (console, application) file renamed correctly, but "rename" 
caller receive an error code.

Trying on OS/2 V3.0, V4.5 and eComStation.
Comment 1 Gerald (Jerry) Carter 2005-02-08 21:59:07 UTC
please retest 3.0.11 and reopen if necessary.  Thanks.
Comment 2 Gerald (Jerry) Carter 2005-02-08 21:59:23 UTC
closing as fixed.
Comment 3 Alex Masterov 2005-02-11 03:07:18 UTC
Created attachment 962 [details]
 Log renaming file from OS/2

Problem still exists in Samba 3.0.11
Comment 4 Alex Masterov 2005-02-11 03:13:40 UTC
Comment on attachment 962 [details]
 Log renaming file from OS/2

Problem exists in samba 3.0.11

Command was
[C:\]ren W:\111\whatsnew2.txt whatsnew.txt
SYS0064: The specified network name is no longer available.
Comment 5 Oleg Zhirnov 2005-02-11 05:55:30 UTC
Returned error code changed, but error still exist...

>ren XX.TXT YY.TXT
SYS0064: The specified network name is no longer available.

Samba:  V.3.0.11
Server OS: Suse Linux Enterprise Edition V 8.0

Tested clients: 
1) OS/2 Warp Connect Peer
2) OS/2 LanServer V4.0 network reqestor
3) OS/2 Warp Server for E-Business CP2


Comment 6 Alex Masterov 2005-03-23 22:15:00 UTC
Seems this bug to be fixed in 3.0.14pre1 form SVN 24.03.2005 (6031)
Comment 7 Gerald (Jerry) Carter 2005-09-29 07:36:14 UTC
closing